diff -uNr nagiosql32.orig/admin/settings.php nagiosql32/admin/settings.php
--- nagiosql32.orig/admin/settings.php	2012-02-21 14:10:41.579203000 +0100
+++ nagiosql32/admin/settings.php	2017-05-20 20:02:31.568000000 +0200
@@ -92,8 +92,8 @@
 		}
 	}
 	// Write db settings to file
-	if (is_writable($strBasePath."config/settings.php")) {
-		$filSettings = fopen($strBasePath."config/settings.php","w");
+	if (is_writable("/etc/nagiosql/settings.php")) {
+		$filSettings = fopen("/etc/nagiosql/settings.php","w");
 		if ($filSettings) {
 			fwrite($filSettings,"<?php\n");
 			fwrite($filSettings,"exit;\n");
diff -uNr nagiosql32.orig/admin/support.php nagiosql32/admin/support.php
--- nagiosql32.orig/admin/support.php	2012-03-08 08:40:12.245037000 +0100
+++ nagiosql32/admin/support.php	2017-05-20 20:01:59.792000000 +0200
@@ -211,7 +211,7 @@
 }
 // File access checks
 $conttp->setVariable("RW_CONFIG",translate("Read/Write access:")." settings.php");
-$strConfigFile = "../config/settings.php";
+$strConfigFile = "/etc/nagiosql/settings.php";
 if (file_exists($strConfigFile) && is_readable($strConfigFile) && is_writable($strConfigFile)) {
 	$conttp->setVariable("RW_CONFIG_CLASS","checkgreen");
 	$conttp->setVariable("RW_CONFIG_RESULT",translate("ok"));
diff -uNr nagiosql32.orig/functions/prepend_adm.php nagiosql32/functions/prepend_adm.php
--- nagiosql32.orig/functions/prepend_adm.php	2017-05-20 20:08:12.900000000 +0200
+++ nagiosql32/functions/prepend_adm.php	2017-05-20 20:04:18.164000000 +0200
@@ -77,14 +77,14 @@
 //
 // Start installer
 // ===============
-$preIniFile = $preBasePath.'config/settings.php';
+$preIniFile = '/etc/nagiosql/settings.php';
 if (!file_exists($preIniFile) OR ! is_readable($preIniFile)) {
 	header("Location: ".$preBaseURL."install/index.php");
 }
 //
 // Read file settings
 // ==================
-$SETS = parse_ini_file($preBasePath.'config/settings.php',true);
+$SETS = parse_ini_file('/etc/nagiosql/settings.php',true);
 if (!isset($_SESSION['SETS']['db'])) $_SESSION['SETS']['db'] = $SETS['db'];
 //
 // Include external function/class files - part 1
diff -uNr nagiosql32.orig/functions/prepend_scripting.php nagiosql32/functions/prepend_scripting.php
--- nagiosql32.orig/functions/prepend_scripting.php	2012-02-29 09:54:45.611973000 +0100
+++ nagiosql32/functions/prepend_scripting.php	2017-05-20 20:03:34.636000000 +0200
@@ -42,7 +42,7 @@
 // Read settings file
 // ==================
 $preBasePath = str_replace("scripts","",getcwd());
-$preIniFile  = $preBasePath.'config/settings.php';
+$preIniFile  = '/etc/nagiosql/settings.php';
 //
 // Read file settings
 // ==================
diff -uNr nagiosql32.orig/install/functions/install_class.php nagiosql32/install/functions/install_class.php
--- nagiosql32.orig/install/functions/install_class.php	2017-05-20 20:08:12.900000000 +0200
+++ nagiosql32/install/functions/install_class.php	2017-05-20 20:05:46.564000000 +0200
@@ -659,7 +659,7 @@
 		$strBasePath = substr(realpath('.'),0,-7);
 		$strE_ID 	 = error_reporting();
 		error_reporting(0);
-		$filSettings = fopen($strBasePath."config/settings.php","w");
+		$filSettings = fopen("/etc/nagiosql/settings.php","w");
 		error_reporting($strE_ID);
 		if ($filSettings) {
 			// Write Database Configuration into settings.php
diff -uNr nagiosql32.orig/install/index.php nagiosql32/install/index.php
--- nagiosql32.orig/install/index.php	2017-05-20 20:08:12.904000000 +0200
+++ nagiosql32/install/index.php	2017-05-20 20:04:52.492000000 +0200
@@ -27,7 +27,7 @@
 $preContent	= "templates/index.tpl.htm";
 $preEncode	= 'utf-8';
 $preLocale 	= "../config/locale";
-$filConfig  = "../config/settings.php";
+$filConfig  = "/etc/nagiosql/settings.php";
 $preDBType  = "mysqli";
 $strLangOpt = "";
 $intError 	= 0;
diff -uNr nagiosql32.orig/install/step1.php nagiosql32/install/step1.php
--- nagiosql32.orig/install/step1.php	2017-05-20 20:08:12.904000000 +0200
+++ nagiosql32/install/step1.php	2017-05-20 20:05:19.420000000 +0200
@@ -186,7 +186,7 @@
 }
 $arrTemplate['CHECK_5_CONTENT_1'] = $strHTML;
 // File access checks
-$strConfigFile = "../config/settings.php";
+$strConfigFile = "/etc/nagiosql/settings.php";
 if (file_exists($strConfigFile) && is_readable($strConfigFile)) {
 	$arrTemplate['CHECK_6_CONTENT_1'] = $strHTMLPart1.translate("Read test on settings file (config/settings.php)").$strHTMLPart4.translate("OK")."</span><br>\n";
 } else if (file_exists($strConfigFile)&& !is_readable($strConfigFile)) {
